Package org.kapott.hbci.passport.rdhXfile

# Class RDHXFile

java.lang.Object
org.kapott.hbci.passport.rdhXfile.RDHXFile

public class RDHXFile extends Object

## Constructor Summary

Constructors
Constructor
Description
`RDHXFile(byte[] passphrase)`
`RDHXFile(byte[] data, byte[] passphrase)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addField(TLV field)`
`HBCIKey`
`getBankEncKey(HBCIAccount account)`
`HBCIKey`
`getBankSigKey(HBCIAccount account)`
`TLV`
`getField(Class cl)`
`TLV[]`
`getFields(Class cl)`
`byte[]`
`getFileData(int profileVersion)`
`byte[]`
`getPassphrase()`
`void`
`setBankEncKey(HBCIAccount account, HBCIKey key)`
`void`
`setBankSigKey(HBCIAccount account, HBCIKey key)`
`void`
`setPassphrase(byte[] passphrase)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RDHXFile

public RDHXFile(byte[] passphrase)

### RDHXFile

public RDHXFile(byte[] data, byte[] passphrase)

## Method Details

### getPassphrase

public byte[] getPassphrase()

### setPassphrase

public void setPassphrase(byte[] passphrase)

### addField

public void addField(TLV field)

### getField

public TLV getField(Class cl)

### getFields

public TLV[] getFields(Class cl)

### getFileData

public byte[] getFileData(int profileVersion)

### getBankSigKey

public HBCIKey getBankSigKey(HBCIAccount account)

### setBankSigKey

public void setBankSigKey(HBCIAccount account, HBCIKey key)

### getBankEncKey

public HBCIKey getBankEncKey(HBCIAccount account)

### setBankEncKey

public void setBankEncKey(HBCIAccount account, HBCIKey key)